Subject: Questions on Properties in RFC 2518

From: [email-masked]
Date: Sat, 20 Jul 2002 15:03:39 +0100 (BST)

Hi – one issue in RFC 2518 that puzzles me is
property handling. Please bear with me if I’m
missing something obvious in the document.

The prop element is defined as:

<!ELEMENT prop ANY>

Therefore, when making a PROPFIND request with a
propname element, how do I know how to parse the
names returned in the response? Is the example in
section 8.1.3 sufficient definition of this, such
that I can always expect a sequence of elements,
the name of each element being the name of a
property of the resource?

Section 13 states “For DAV properties, the name of
the property is also the same as the name of the
XML element that contains its value.” This implies
that the value might be specified some other way,
for example the name of a property might be
returned like this by a PROPFIND request:

<prop><foo/></prop>

but the value might be returned like this for some
reason:

<prop><integer name="foo">1234</integer></prop>

If this is the case how is it possible to write
client code which can handle properties in
general, for example code which could be used to
write a DAV browser which displayed the properties
of resources on any DAV server the browser was
pointed at? Even if you assume that the list of
property names for a resource can be obtained as
suggested by the example in 8.1.3, how do you then
know how to associate the property values returned
by a PROPFIND request with these names?  (Because
the format of each prop element in the allprop
response is not known and so you do not know where
to look for the property name in each child
element of the prop element containing the values.)

- Charles

-------------------------------------------------
This mail sent through UK Online webmail

---

From: "Julian Reschke" <[email-masked]>
Date: Sat, 20 Jul 2002 16:20:35 +0200

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Saturday, July 20, 2002 4:04 PM
> To: [email-masked]
> Subject: Questions on Properties in RFC 2518
>
>
>

Yes.

> returned like this by a PROPFIND request:

I think this is just a misunderstanding. All properties used within the
WebDAV protocol are "DAV properties" (as discussed in this section) -- they
aren't limited to those listed in that section. Maybe that should be
clarified.

> <prop><integer name="foo">1234</integer></prop>

No. That's a property with the name "integer" in the namespace "DAV:", while
the earlier example described a property named "foo" (in the namespace
"DAV:").

> If this is the case how is it possible to write

It isn't.